<?php
require_once 'Object.php';

$res   = array();

require_once 'Object/Object.php';
class MyClass extends Object_Object {
    // really protected variable
    protected $_protected;
    
    // public variable with getter/setter
    protected $title;
    protected $description;
    
    // public variable w/o  getter/setter
    public    $data;
    
    /**
     * Setter for Title
     *
     * @param string $value
     * @return mixed
     */
    function setTitle($value) {
        $this->title = ucfirst($value);
    }
    
    /**
     * Getter for Title
     *
     * @return mixed
     */
    function getTitle() {
        return $this->title . '!';
    }
}

$MyClass = new MyClass();
$MyClass -> title = 'article title';
$MyClass -> description = 'Lorem ipsum ...';

$res[] = $MyClass -> title;


$res[] =
     oString($MyClass -> title)->add(': ')
                               ->add($MyClass -> description)
                               ->get();

$res[] =
     oArray('module', 'controller', 'action') ->combine(oArray('default', 'index', 'index')) // -> array_combine
                                              ->to_url()                                     // -> http_build_query => oUrl
                                              ->insert('http://domain.com/?')                // prepend string
                                              ->parse()                                      // -> parse_url        => oArray
                                              ->host                                         // -> array['host']
                                              ;


$res[] =
     oArray()->range(0,100,10)->size();     
     
$res[] =
     oArray()->range(0,100,10)->implode(':')->get();
                                               
$res[] = 
     oString("It's my way")     ->replace('my','your')      // -> str_replace => "It's your way"
								->sub(0,  8)                // -> substr      => "It's you"
                                ->pad(11, '.')              // -> str_pad     => "It's you..."
                                ->repeat(2)                 // -> str_repeat  => "It's you...It's you..."
                                ->explode('...')            // to oArray object
                                ->clear()                   // remove empty elements
                                ->merge(array('Yes','No'), array('Maybe'))  // -> array_merge
                                ->get()                     // return data
                                ;